com.massivecraft.factions.zcore.fperms.gui

## Class PermissableRelationGUI

- java.lang.Object
- - com.massivecraft.factions.zcore.fperms.gui.PermissableRelationGUI

All Implemented Interfaces:
  FactionGUI, org.bukkit.inventory.InventoryHolder

    public class PermissableRelationGUI
    extends java.lang.Object
    implements org.bukkit.inventory.InventoryHolder, FactionGUI

### Constructor Summary

Constructors
Constructor and Description
`PermissableRelationGUI(FPlayer fme)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `build()`
`org.bukkit.inventory.Inventory` `getInventory()`
`void` `onClick(int slot, org.bukkit.event.inventory.ClickType clickType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PermissableRelationGUI

    public PermissableRelationGUI(FPlayer fme)

### Method Detail

#### build

    public void build()

Specified by:
  `build` in interface `FactionGUI`

#### getInventory

    public org.bukkit.inventory.Inventory getInventory()

Specified by:
  `getInventory` in interface `org.bukkit.inventory.InventoryHolder`

#### onClick

    public void onClick(int slot,
                        org.bukkit.event.inventory.ClickType clickType)

Specified by:
  `onClick` in interface `FactionGUI`